# Uses of Class
org.apache.lucene.search.PhraseQuery.PostingsAndFreq

Packages that use PhraseQuery.PostingsAndFreq
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of PhraseQuery.PostingsAndFreq in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type PhraseQuery.PostingsAndFreq
  Modifier and Type
  Method
  Description
  `int`
  PhraseQuery.PostingsAndFreq.`compareTo(PhraseQuery.PostingsAndFreq other)`
  Constructors in org.apache.lucene.search with parameters of type PhraseQuery.PostingsAndFreq
  Modifier
  Constructor
  Description
  ``
  `ExactPhraseMatcher(PhraseQuery.PostingsAndFreq[] postings, ScoreMode scoreMode, Similarity.SimScorer scorer, float matchCost)`
  Expert: Creates ExactPhraseMatcher instance
  ``
  `SloppyPhraseMatcher(PhraseQuery.PostingsAndFreq[] postings, int slop, ScoreMode scoreMode, Similarity.SimScorer scorer, float matchCost, boolean captureLeadMatch)`